Diligent Engine API Reference: Diligent::ITextureD3D12 Class Reference

Diligent Engine API Reference

Public Member Functions | List of all members
Diligent::ITextureD3D12 Class Referenceabstract

Interface to the texture object implemented in D3D11. More...

Inheritance diagram for Diligent::ITextureD3D12:

## Public Member Functions
virtual ID3D12Resource * | GetD3D12Texture ()=0
| Returns a pointer to the ID3D12Resource interface of the internal Direct3D12 object. More...
virtual void | SetD3D12ResourceState (D3D12_RESOURCE_STATES state)=0
| Sets the texture usage state. More...
Public Member Functions inherited from Diligent::ITexture
virtual void | QueryInterface (const Diligent::INTERFACE_ID &IID, IObject **ppInterface)=0
| Queries the specific interface, see IObject::QueryInterface() for details.
virtual const TextureDesc & | GetDesc () const =0
| Returns the texture description used to create the object.
virtual void | CreateView (const struct TextureViewDesc &ViewDesc, class ITextureView **ppView)=0
| Creates a new texture view. More...
virtual ITextureView * | GetDefaultView (TEXTURE_VIEW_TYPE ViewType)=0
| Returns the pointer to the default view. More...
virtual void | UpdateData (class IDeviceContext *pContext, Uint32 MipLevel, Uint32 Slice, const Box &DstBox, const TextureSubResData &SubresData)=0
| Updates the data in the texture. More...
virtual void | CopyData (IDeviceContext *pContext, ITexture *pSrcTexture, Uint32 SrcMipLevel, Uint32 SrcSlice, const Box *pSrcBox, Uint32 DstMipLevel, Uint32 DstSlice, Uint32 DstX, Uint32 DstY, Uint32 DstZ)=0
| Copies data from another texture. More...
virtual void | Map (IDeviceContext *pContext, Uint32 Subresource, MAP_TYPE MapType, Uint32 MapFlags, MappedTextureSubresource &MappedData)=0
| Map the texture - not implemented yet.
virtual void | Unmap (IDeviceContext *pContext, Uint32 Subresource, MAP_TYPE MapType, Uint32 MapFlags)=0
| Unmap the textute - not implemented yet.
virtual void * | GetNativeHandle ()=0
| Returns native texture handle specific to the underlying graphics API. More...
Public Member Functions inherited from Diligent::IDeviceObject
virtual void | QueryInterface (const INTERFACE_ID &IID, IObject **ppInterface)=0
| Queries the specific interface, see IObject::QueryInterface() for details.

## Detailed Description

Interface to the texture object implemented in D3D11.

## Member Function Documentation

## ◆ GetD3D12Texture()

virtual ID3D12Resource* Diligent::ITextureD3D12::GetD3D12Texture | ( |  | ) |
| pure virtual

Returns a pointer to the ID3D12Resource interface of the internal Direct3D12 object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::TextureD3D12Impl.

## ◆ SetD3D12ResourceState()

virtual void Diligent::ITextureD3D12::SetD3D12ResourceState | ( | D3D12_RESOURCE_STATES | state | ) |
| pure virtual

Sets the texture usage state.

Parameters

  [in] | state | - D3D12 resource state to be set for this texture

Implemented in Diligent::TextureD3D12Impl.